Overview | Package | Class | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ldi.server.common
Interface StoredQueryMetaData

public interface StoredQueryMetaData
extends java.io.Serializable

This interface models the calls that make the stored query metadata information available to the clients.

Method Summary
`java.lang.String[]` | `listAllStoredQueryNames()` Returns an array containing the names of the queries stored in the `stored_queries` directory of the Liquid Data Repository.
`com.bea.ld.metadata.ResourceInfo[]` | `listComplexParamTypeInfo(javax.xml.namespace.QName[] cptNames)` It allows a caller to retrieve meta data info about the complex parameter types named in the parameter list.
`java.lang.String[]` | `listComplexParamTypeSchemas(javax.xml.namespace.QName[] cptNames)` It allows a caller to retrieve the contents of complex parameter types of a set of stored queries.
`com.bea.ld.metadata.ResourceInfo[]` | `listReturnTypeInfo(java.lang.String[] storedQueryNames)` It allows a caller to retrieve meta data info about the return types of a set of stored queries.
`java.lang.String[]` | `listReturnTypeSchemas(java.lang.String[] storedQueryNames)` It allows a caller to retrieve the contents of return types of a set of stored queries.
`java.lang.String[]` | `listSchemas(java.lang.String[] locators)` It allows a caller to retrieve the contents of a set of schemas based on the locators passed as parameters.
`java.lang.String[]` | `listStoredQueryBodies(java.lang.String[] storedQueryNames)` It allows a caller to retrieve the contents of a set of stored queries.
`com.bea.ld.metadata.ResourceInfo[]` | `listStoredQueryInfo(java.lang.String[] storedQueryNames)` It allows a caller to retrieve meta data info of a set of stored queries.

Method Detail

### listAllStoredQueryNames

    public java.lang.String[] listAllStoredQueryNames()
                                               throws MetaDataException

  Returns an array containing the names of the queries stored in the `stored_queries` directory of the Liquid Data Repository. This method returns only stored queries that have a schema configured and that the user making the call has permissions to access; stored queries with no associated schema are not included in the results. For information on configuring stored queries, see the Liquid Data Administrator's Guide.

  The names are the fully qualified names of the stored queries that consist of simple names (i.e. file names without the .xq extension) and package names if any (i.e. optional folder names). For example, for a stored query named "getOrder.xq" stored in a folder called "sales" in the `stored_queries` directory of the repository, the name of the stored query returned from this method is "sales.getOrder".

  Returns:
    An array of all the names of stored queries in the repository that have been configured with an associated schema and are accessible to the current user for reading. Returns an empty array when there are no such stored queries.

### listStoredQueryInfo

    public com.bea.ld.metadata.ResourceInfo[] listStoredQueryInfo(java.lang.String[] storedQueryNames)
                                                           throws MetaDataException

  It allows a caller to retrieve meta data info of a set of stored queries. It takes an array of names of stored queries as parameter and returns an array of meta info each describing a stored query identified in the parameter in the same order. The names are the fully qualified names of the stored queries that consist of simple names (i.e. file names without the .xq extension) and package names if any (i.e. optional folder names). For instance, for a stored query named "getOrder.xq" stored in a folder called "sales" in the repository, the name of the stored query returned from the call is "sales.getOrder". If the user does not have read access permission for any stored query, or the stored query has not been configured, its meta data info is set to `null`

  Parameters:
    `storedQueryNames` - is an array of String containing the fully qualified names of stored queries.
  Returns:
    An array of meta info of stored queries. Returns empty array when the parameter is null or empty.

### listReturnTypeInfo

    public com.bea.ld.metadata.ResourceInfo[] listReturnTypeInfo(java.lang.String[] storedQueryNames)
                                                          throws MetaDataException

  It allows a caller to retrieve meta data info about the return types of a set of stored queries. It takes an array of names of stored queries as parameter and returns an array of meta info each describing the metainfo of the schema corresponding to the stored query identified in the parameter in the same order.
  The metainfo consists of the locator of the primary schema file and the timestamp indicating when it was last modified.
  The names are the fully qualified names of the stored queries that consist of simple names (i.e. file names without the .xq extension) and package names if any (i.e. optional folder names). For instance, for a stored query named "getOrder.xq" stored in a folder called "sales" in the repository, the name of the stored query returned from the call is "sales.getOrder".
  If the user does not have read access permission for any stored query, or the stored query has not been configured, its meta data info is set to `null`

  Parameters:
    `storedQueryNames` - is an array of String containing the fully qualified names of stored queries.
  Returns:
    An array of meta info of stored queries. Returns empty array when the parameter is null or empty.

### listComplexParamTypeInfo

    public com.bea.ld.metadata.ResourceInfo[] listComplexParamTypeInfo(javax.xml.namespace.QName[] cptNames)
                                                                throws MetaDataException

  It allows a caller to retrieve meta data info about the complex parameter types named in the parameter list. It takes an array of names of complex types as parameter and returns an array of meta info each describing the metainfo of the schema corresponding to the complex type identified in the parameter in the same order.
  The metainfo consists of the locator of the primary schema file and the timestamp indicating when it was last modified.
  The names are the fully qualified names of the stored queries that consist of simple names (i.e. file names without the .xq extension) and package names if any (i.e. optional folder names). For instance, for a stored query named "getOrder.xq" stored in a folder called "sales" in the repository, the name of the stored query returned from the call is "sales.getOrder".
  If the user does not have read access permission for any stored query, or the stored query has not been configured, its meta data info is set to `null`

  Parameters:
    `storedQueryNames` - is an array of String containing the fully qualified names of stored queries.
  Returns:
    An array of meta info of stored queries. Returns empty array when the parameter is null or empty.

### listStoredQueryBodies

    public java.lang.String[] listStoredQueryBodies(java.lang.String[] storedQueryNames)
                                             throws MetaDataException

  It allows a caller to retrieve the contents of a set of stored queries. It takes an array of names of stored queries as parameter and returns an array of content for each stored query identified in the parameter.
  The names are the full names of the stored queries that consist of simple names (i.e. file names without the xq extension) and package names if any (i.e. optional folder names). For instance, for a stored query named "getOrder.xq" stored in a folder called "sales" in the repository, the name of the stored query returned from the call is "sales.getOrder".

  Parameters:
    `storedQueryNames` - is an array of String containg the full name of stored queries.
  Returns:
    An array of String containing the contents of stored queries. Returns empty array when the parameter is null or empty.

### listReturnTypeSchemas

    public java.lang.String[] listReturnTypeSchemas(java.lang.String[] storedQueryNames)
                                             throws MetaDataException

  It allows a caller to retrieve the contents of return types of a set of stored queries. It takes an array of names of stored queries as parameter and returns an array of content of the return types (i.e. target schemas) for each stored query identified in the parameter.
  The names are the full names of the stored queries that consist of simple names (i.e. file names without the xq extension) and package names if any (i.e. optional folder names). For instance, for a stored query named "getOrder.xq" stored in a folder called "sales" in the repository, the name of the stored query returned from the call is "sales.getOrder".
  NOTE: The schemas returned by this call are preprocessed so that:
  - `schemaLocator` attributes are removed.
  - any duplicate global element type declarations are also removed.

  Parameters:
    `storedQueryNames` - is an array of String containg the full name of stored queries.
  Returns:
    An array of String containing the contents of stored queries. Returns empty array when the parameter is null or empty.

### listComplexParamTypeSchemas

    public java.lang.String[] listComplexParamTypeSchemas(javax.xml.namespace.QName[] cptNames)
                                                   throws MetaDataException

  It allows a caller to retrieve the contents of complex parameter types of a set of stored queries. It takes an arry of names of the complex parameter types defined as XML schemas and returns an array of contents of the complex parameter types. The names are the unique name of complex parameter type retrieved from the meta info about stored queries. They are managed by Liquid Data admin and are defined in the Parameter Info of the stored queries.
  NOTE: The schemas returned by this call are preprocessed so that:
  - `schemaLocator` attributes are removed.
  - any duplicate global element type declarations are also removed.

  Parameters:
    `cptNames` - is an array of QName containg the unique name of complex parameter types.
  Returns:
    An array of String containing the contents of complex parameter types. Returns empty array when the parameter is null or empty.

### listSchemas

    public java.lang.String[] listSchemas(java.lang.String[] locators)
                                   throws MetaDataException

  It allows a caller to retrieve the contents of a set of schemas based on the locators passed as parameters.
  NOTE: This call returns the schema contents unaltered.

  Parameters:
    `locators` - A locator may be either a URI, an absolute file locator or a relative file locator.
  Returns:
    An array containing the schema definitions of the schemas specified by the `locators` array.
  Throws:
    MetaDataException -

Overview | Package | Class | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation is available at
http://download.oracle.com/docs/cd/E13190_01/liquiddata/docs81